/**
 *	Meta Javascript
 *	---------------------------------------------------------------------
 * 	@author		lioit
 * 	@link		http://themeforest.net/user/lioit/portfolio
 * 	@copyright	Copyright (c) lioit
 * 	---------------------------------------------------------------------
 */

jQuery(document).ready(function(){ 
	//Background Select
	jQuery('select#lioit_bgstyle').change(function(){
		var selected_option = jQuery(this).children("option:selected").val();
		
		if(selected_option == 'image'){
			jQuery(this).parents("div.inside").children('.lioit_bgslider, .lioit_bgvideo, .lioit_bgyoutube, .lioit_bgvimeo').slideUp();
			jQuery(this).parents("div.inside").children('.lioit_bgimg').slideDown();
		}else 
		if(selected_option == 'slider'){
			jQuery(this).parents("div.inside.inside").children('.lioit_bgimg, .lioit_bgvideo, .lioit_bgyoutube, .lioit_bgvimeo').slideUp();;
			jQuery(this).parents("div.inside").children('.lioit_bgslider').slideDown();
		}else 
		if(selected_option == 'video'){
			jQuery(this).parents("div.inside").children('.lioit_bgimg, .lioit_bgslider, .lioit_bgyoutube, .lioit_bgvimeo').slideUp();;
			jQuery(this).parents("div.inside").children('.lioit_bgvideo').slideDown();
		}else 
		if(selected_option == 'youtubevideo'){
			jQuery(this).parents("div.inside").children('.lioit_bgimg, .lioit_bgslider, .lioit_bgvideo, .lioit_bgvimeo').slideUp();;
			jQuery(this).parents("div.inside").children('.lioit_bgyoutube').slideDown();
		}else 
		if(selected_option == 'vimeovideo'){
			jQuery(this).parents("div.inside").children('.lioit_bgimg, .lioit_bgslider, .lioit_bgvideo, .lioit_bgyoutube').slideUp();;
			jQuery(this).parents("div.inside").children('.lioit_bgvimeo').slideDown();
		}	
	});
	jQuery("select#lioit_bgstyle").triggerHandler("change");
	
	
	//Post Format Select
	jQuery('#lioit_postformat').change(function(){
		var selected_option = jQuery(this).children("option:selected").val();
		
		if(selected_option == 'standart'){
			jQuery('.lioit_slideshow_imgs, .lioit_postvideo_v, .lioit_oog_url, .lioit_mp3_url, .lioit_postvideo_y, .lioit_postvideo_d, .lioit_audio_soundcloud').slideUp();
			jQuery('.lioit_postimg').slideDown();
		}else 
		if(selected_option == 'gallery'){
			jQuery('.lioit_postimg, .lioit_postvideo_v,.lioit_oog_url, .lioit_mp3_url, .lioit_postvideo_y, .lioit_postvideo_d, .lioit_audio_soundcloud').slideUp();;
			jQuery('.lioit_slideshow_imgs').slideDown();
		}else 
		if(selected_option == 'video'){
		
			jQuery('.lioit_postimg, .lioit_slideshow_imgs,.lioit_oog_url, .lioit_mp3_url, .lioit_audio_soundcloud').slideUp();;
			
			jQuery('.lioit_postvideo_v, .lioit_postvideo_y, .lioit_postvideo_d').slideDown();
			
		}else 
		if(selected_option == 'audio'){
			jQuery('.lioit_postimg, .lioit_slideshow_imgs, .lioit_postvideo_v, .lioit_postvideo_y, .lioit_postvideo_d ').slideUp();;
			jQuery('.lioit_oog_url, .lioit_mp3_url,.lioit_audio_soundcloud').slideDown();
		}
	});
	jQuery("#lioit_postformat").triggerHandler("change");
	
	//Review Select
	jQuery('#lioit_review_enable').change(function(){
		var selected_option = jQuery(this).children("option:selected").val();
		
		if(selected_option == 'disable'){
			jQuery('.lioit_user_ratings_visibility, .lioit_review_skin, .lioit_review_type, .lioit_criteria_header, .lioit_criteria_wrapper, .lioit_final_score, .lioit_brief_summary, .lioit_longer_summary, .lioit_criteria_position').slideUp();
		}else 
		if(selected_option == 'enable'){
			jQuery('.lioit_user_ratings_visibility, .lioit_review_skin, .lioit_review_type, .lioit_criteria_header, .lioit_criteria_wrapper, .lioit_final_score, .lioit_brief_summary, .lioit_longer_summary, .lioit_criteria_position').slideDown();
		}
	});
	jQuery("#lioit_review_enable").triggerHandler("change");
	
	
	
	
	
	//Post Format Select
	jQuery('#lioit_postads').change(function(){
		var selected_option = jQuery(this).children("option:selected").val();
		
		if(selected_option == 'left300'){
			jQuery('.lioit_postadscode728, .lioit_postadscode468').slideUp();
			jQuery('.lioit_postadscode300').slideDown();
		}else 
		if(selected_option == 'right300'){
			jQuery('.lioit_postadscode728, .lioit_postadscode468').slideUp();;
			jQuery('.lioit_postadscode300').slideDown();
		}else 
		if(selected_option == 'top468'){
		
			jQuery('.lioit_postadscode728, .lioit_postadscode300').slideUp();;
			
			jQuery('.lioit_postadscode468').slideDown();
			
		}else 
		if(selected_option == 'bottom468'){
			jQuery('.lioit_postadscode728, .lioit_postadscode300 ').slideUp();;
			jQuery('.lioit_postadscode468').slideDown();
		}
		else if(selected_option == 'bottom728'){
			jQuery('.lioit_postadscode468, .lioit_postadscode300 ').slideUp();;
			jQuery('.lioit_postadscode728').slideDown();
		}
		else if(selected_option == 'top728'){
			jQuery('.lioit_postadscode468, .lioit_postadscode300 ').slideUp();;
			jQuery('.lioit_postadscode728').slideDown();
		}
		
	});
	jQuery("#lioit_postads").triggerHandler("change");
	
});



jQuery(document).ready(function($) {
	jQuery('#lioit_sideoption').parent().click(function() {
  		jQuery('.postlayout').fadeToggle(400);
  		jQuery('.postlayout').css('display', 'block');
	});
	
	jQuery('#lioit_pagesideoption').parent().click(function() {
  		jQuery('.postlayout').fadeToggle(400);
  		jQuery('.postlayout').css('display', 'block');
	});
	
	if (jQuery('#lioit_sideoption:checked').val() !== undefined) {
		jQuery('.postlayout').show();
	}
	
	jQuery('#lioit_soption').parent().click(function() {
  		jQuery('.slayout').fadeToggle(400);
  		jQuery('.slayout').css('display', 'block');
	});
	
	if (jQuery('#lioit_soption:checked').val() !== undefined) {
		jQuery('.slayout').show();
	}
	
    jQuery('label #lioit_side_layout').css('visibility', 'hidden');
	jQuery('label #lioit_side_layout:checked+img').addClass('ri_select');
    jQuery('label .radio_img').click( function() {
	jQuery(this).parent().parent().find('label .radio_img').removeClass('ri_select');
	jQuery(this).addClass('ri_select');
	});
	
	
	
	
	
	
	
	
	
	
	
	jQuery('label #lioit_post_type').css('visibility', 'hidden');
	jQuery('label #lioit_post_type:checked+img').addClass('ri_select');
    jQuery('label .radio_img').click( function() {
	jQuery(this).parent().parent().find('label .radio_img').removeClass('ri_select');
	jQuery(this).addClass('ri_select');
	});
	
	
	
   
	
});